package main

import (
	"math/rand"

	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getInviteFakeData(users []*eventmodels.UserBasic) []*eventmodels.InviteEventContent {
	datas := make([]*eventmodels.InviteEventContent, 0, 8)

	for i := 0; i < count; i++ {
		userBasic := getUserBasic(users)
		eventBasic := getEventBasic()

		invite := getUserBasic(users)

		datas = append(datas, &eventmodels.InviteEventContent{
			UserBasic:                 *userBasic,
			EventBasic:                *eventBasic,
			Platform:                  getPlatform(),
			Channel:                   getChannel(),
			InviteUserId:              invite.UserId,
			IfInviteUserTgVip:         invite.IfTgVip,
			InviteUserLevel2:          invite.Level,
			ContinuousInviteUserCount: rand.Intn(50) + 1,
		})
	}

	return datas
}
