package main

import (
	"math/rand"

	"github.com/bxcodec/faker/v3"
	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getLoginFakeData(users []*eventmodels.UserBasic) []*eventmodels.UserLoginEventContent {
	datas := make([]*eventmodels.UserLoginEventContent, 0, 8)

	for i := 0; i < count; i++ {
		userBasic := getUserBasic(users)
		eventBasic := getEventBasic()

		datas = append(datas, &eventmodels.UserLoginEventContent{
			UserBasic:         *userBasic,
			EventBasic:        *eventBasic,
			Ip:                faker.IPv4(),
			Platform:          getPlatform(),
			Channel:           getChannel(),
			ContinuousDays:    rand.Intn(365) + 1,
			ContinuousDaysMax: rand.Intn(365) + 1,
		})
	}

	return datas
}
