package eventmodels

// 邀请事件
type InviteEventContent struct {
	UserBasic
	EventBasic
	Platform                  string `json:"platform"`                     // 平台
	Channel                   string `json:"channel"`                      // 渠道
	InviteUserId              string `json:"invite_user_id"`               // 被邀请用户id
	IfInviteUserTgVip         bool   `json:"if_invite_user_tg_vip"`        // 被邀请用户是否为telegram会员
	InviteUserLevel2          int    `json:"invite_user_level2"`           // 被邀请成功用户lv>2的人数
	ContinuousInviteUserCount int    `json:"continuous_invite_user_count"` // 累计邀请成功人数
}

func (e *InviteEventContent) EventName() string {
	return "Invite"
}
