package main

import (
	"math/rand"

	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getDiceFakeData(users []*eventmodels.UserBasic) []*eventmodels.DiceEventContent {
	datas := make([]*eventmodels.DiceEventContent, 0, 8)

	for i := 0; i < count; i++ {
		userBasic := getUserBasic(users)
		eventBasic := getEventBasic()

		datas = append(datas, &eventmodels.DiceEventContent{
			UserBasic:  *userBasic,
			EventBasic: *eventBasic,
			Count:      rand.Intn(50) + 1,
		})
	}

	return datas
}
