package main

import (
	"math/rand"

	"github.com/mhaya/game/game_cluster/internal/constant"
	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getJoinFakeData(users []*eventmodels.UserBasic) []*eventmodels.JoinChannelEventContent {
	datas := make([]*eventmodels.JoinChannelEventContent, 0, 8)

	for i := 0; i < count; i++ {
		userBasic := getUserBasic(users)
		eventBasic := getEventBasic()

		datas = append(datas, &eventmodels.JoinChannelEventContent{
			UserBasic:  *userBasic,
			EventBasic: *eventBasic,
			ChannelName: func() string {
				if rand.Intn(2) == 1 {
					return string(constant.TGJoinName)
				}
				return string(constant.DCJoinName)
			}(),
		})
	}

	return datas
}
