package main

import (
	"github.com/bxcodec/faker/v3"
	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getregisterFakeData(users []*eventmodels.UserBasic) []*eventmodels.UserRegisterEventContent {
	datas := make([]*eventmodels.UserRegisterEventContent, 0, 8)

	for _, user := range users {
		eventBasic := getEventBasic()

		datas = append(datas, &eventmodels.UserRegisterEventContent{
			UserBasic:  *user,
			EventBasic: *eventBasic,
			Ip:         faker.IPv4(),
			Platform:   getPlatform(),
			Channel:    getChannel(),
			Source:     "",
		})
	}

	return datas
}
