package main

import (
	"math/rand"

	"github.com/bxcodec/faker/v3"
	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getTurntableFakeData(users []*eventmodels.UserBasic) []*eventmodels.TurntableEventContent {
	datas := make([]*eventmodels.TurntableEventContent, 0, 8)

	for i := 0; i < count; i++ {
		userBasic := getUserBasic(users)
		eventBasic := getEventBasic()

		datas = append(datas, &eventmodels.TurntableEventContent{
			UserBasic:   *userBasic,
			EventBasic:  *eventBasic,
			PrizeName:   faker.Name(),
			PrizeNumber: rand.Int63n(50) + 1,
		})
	}

	return datas
}
