package main

import (
	"math/rand"

	"github.com/bxcodec/faker/v3"
	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getUpdateInfoFakeData(users []*eventmodels.UserBasic) []*eventmodels.UserUpdateInfoEventContent {
	datas := make([]*eventmodels.UserUpdateInfoEventContent, 0, 8)

	for _, user := range users {
		eventBasic := getEventBasic()

		content := &eventmodels.UserUpdateInfoEventContent{
			EventBasic: *eventBasic,
			// UpdateUserName:    "",
			// UpdateTgId:        "",
			// UpdateXId:         "",
			// UpdateTonWall:     "",
			// UpdateFingerprint: "",
			// UpdateEmail:       "",
			// UpdateMobile:      "",
			// UpdateAvatar:      "",
			// UpdateBirthday:    "",
			// UpdatePassword:    "",
			// UpdateSalt:        "",
			// UpdateIsLeader:    false,
			// UpdateIsVip:       false,
			// UpdateLevel:       0,
			// UpdateExp:         0,
			// UpdateGender:      0,
		}

		hasUpdate := false
		if rand.Intn(5) == 1 {
			data := faker.Name()
			user.UserName = data
			content.UpdateUserName = data

			hasUpdate = true
		}

		if rand.Intn(3) == 1 {
			data := faker.Email()
			user.Email = data
			content.UpdateEmail = data

			hasUpdate = true
		}

		if rand.Intn(2) == 1 {
			data := faker.Phonenumber()
			content.UpdateMobile = data

			hasUpdate = true
		}

		content.UserBasic = *user

		if hasUpdate {
			datas = append(datas, content)
		}
	}

	return datas
}
